#!/usr/bin/env python
# (C) 2022 Cadence Design Systems, Inc. (Cadence) 
# All rights reserved.
# TERMS FOR USE OF SAMPLE CODE The software below ("Sample Code") is
# provided to current licensees or subscribers of Cadence products or
# SaaS offerings (each a "Customer").
# Customer is hereby permitted to use, copy, and modify the Sample Code,
# subject to these terms. Cadence claims no rights to Customer's
# modifications. Modification of Sample Code is at Customer's sole and
# exclusive risk. Sample Code may require Customer to have a then
# current license or subscription to the applicable Cadence offering.
# THE SAMPLE CODE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED.  OPENEYE DISCLAIMS ALL WARRANTIES, INCLUDING, BUT
# NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
# PARTICULAR PURPOSE AND NONINFRINGEMENT. In no event shall Cadence be
# liable for any damages or liability in connection with the Sample Code
# or its use.

# @ <SNIPPET>
from openeye import oechem

mol = oechem.OEGraphMol()
oechem.OESmilesToMol(mol, "N[C@@H]1N[C@@H](O)CC(O)C1.C2[C@@H](O)CC[C@@H](O)C2")

for atom in mol.GetAtoms():
    cip = oechem.OEPerceiveCIPStereo(mol, atom)
    if atom.HasStereoSpecified():
        print("atom %d is" % atom.GetIdx(), end=" ")
        if cip == oechem.OECIPAtomStereo_S:
            print('S')
        if cip == oechem.OECIPAtomStereo_R:
            print('R')
        if cip == oechem.OECIPAtomStereo_NotStereo:
            print('not a CIP stereo center')
    if cip == oechem.OECIPAtomStereo_UnspecStereo:
        print("atom %d is" % atom.GetIdx(), end=" ")
        print('a CIP stereo center without specified stereochemistry')
# @ </SNIPPET>
